Resource

User Notification Log

Log events for user notifications

The User Notification Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    user
    Type
    User
    Description

    Relation to User who this log belongs to

  • Name
    userId
    Type
    Object ID
    Description

    User ID who this log belongs to

  • Name
    userBelongsToTeam
    Type
    Team
    Description

    Which team did the user belong to when the alert was sent?

  • Name
    userBelongsToTeamId
    Type
    Object ID
    Description

    Which team did the user belong to when the alert was sent?

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to On-Call Policy which belongs to this execution log event.

  • Name
    onCallDutyPolicyId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy which belongs to this execution log event.

  • Name
    onCallDutyPolicyExecutionLog
    Type
    On-Call Duty Execution Log
    Description

    Relation to On-Call Policy Execution Log which belongs to this execution log event.

  • Name
    onCallDutyPolicyExecutionLogId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy execution log which belongs to this log event.

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    Relation to On-Call Policy Escalation Rule which belongs to this execution log event.

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Escalation Rule which belongs to this log event.

  • Name
    triggeredByIncident
    Type
    Incident
    Description

    Relation to Incident which triggered this on-call duty policy.

  • Name
    triggeredByIncidentId
    Type
    Object ID
    Description

    ID of the incident which triggered this on-call escalation policy.

  • Name
    triggeredByAlert
    Type
    Alert
    Description

    Relation to Alert which triggered this on-call duty policy.

  • Name
    triggeredByAlertId
    Type
    Object ID
    Description

    ID of the Alert which triggered this on-call escalation policy.

  • Name
    triggeredByAlertEpisode
    Type
    Alert Episode
    Description

    Relation to Alert Episode which triggered this on-call duty policy.

  • Name
    triggeredByAlertEpisodeId
    Type
    Object ID
    Description

    ID of the Alert Episode which triggered this on-call escalation policy.

  • Name
    triggeredByIncidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode which triggered this on-call duty policy.

  • Name
    triggeredByIncidentEpisodeId
    Type
    Object ID
    Description

    ID of the Incident Episode which triggered this on-call escalation policy.

  • Name
    status
    Type
    TextRequired
    Description

    Status of this execution

  • Name
    userNotificationEventType
    Type
    TextRequired
    Description

    Notification Event Type of this execution

  • Name
    onCallDutyPolicyExecutionLogTimeline
    Type
    On-Call Duty Execution Log Timeline
    Description

    Relation to On-Call Policy Execution Log Timeline where this timeline event belongs.

  • Name
    onCallDutyPolicyExecutionLogTimelineId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy Execution Log where this timeline event belongs.

  • Name
    statusMessage
    Type
    Long TextRequired
    Description

    Status message of this execution

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    acknowledgedByUserId
    Type
    Object ID
    Description

    User ID who acknowledged this object (if this object was acknowledged by a User)

  • Name
    acknowledgedAt
    Type
    Date
    Description

  • Name
    onCallDutySchedule
    Type
    On-Call Policy Schedule
    Description

    Which schedule did the user belong to when the alert was sent?

  • Name
    onCallDutyScheduleId
    Type
    Object ID
    Description

    Which schedule ID did the user belong to when the alert was sent?

  • Name
    overridedByUser
    Type
    User
    Description

    Relation to User who overrode this alert

  • Name
    overridedByUserId
    Type
    Object ID
    Description

    User ID who overrode this alert

GETorPOST/api/user-notification-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your User Notification Log. By default, a maximum of ten User Notification Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/user-notification-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyExecutionLogId": true,
    "onCallDutyPolicyExecutionLogTimelineId": true,
    "onCallDutyPolicyId": true,
    "projectId": true
  },
  "query": {
    "status": "Success"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377f2640-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
      "onCallDutyPolicyExecutionLogId": "0f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
      "onCallDutyPolicyExecutionLogTimelineId": "4d5e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
      "onCallDutyPolicyId": "9e1f2a3b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "377f2641-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
      "onCallDutyPolicyExecutionLogId": "0f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
      "onCallDutyPolicyExecutionLogTimelineId": "4d5e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
      "onCallDutyPolicyId": "9e1f2a3b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    },
    {
      "_id": "377f2642-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyEscalationRuleId": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
      "onCallDutyPolicyExecutionLogId": "0f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
      "onCallDutyPolicyExecutionLogTimelineId": "4d5e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
      "onCallDutyPolicyId": "9e1f2a3b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
    }
  ]
}
GETorPOST/api/user-notification-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve User Notification Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/user-notification-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyEscalationRuleId": true,
    "onCallDutyPolicyExecutionLogId": true,
    "onCallDutyPolicyExecutionLogTimelineId": true,
    "onCallDutyPolicyId": true,
    "projectId": true
  }
}

Response

{
  "_id": "377f2640-28fe-11f1-b591-3fdcef396aba",
  "onCallDutyPolicyEscalationRuleId": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
  "onCallDutyPolicyExecutionLogId": "0f1a2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
  "onCallDutyPolicyExecutionLogTimelineId": "4d5e6f7a-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
  "onCallDutyPolicyId": "9e1f2a3b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e"
}
POST/api/user-notification-log/count

Count

This endpoint allows you to retrieve the count of all your User Notification Log.

Optional Request Body

Count Request

POST
/api/user-notification-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Success"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read User Notification Log

  • Logged in User

Create Permissions

Required to create User Notification Log

This resource cannot be created via the API

Update Permissions

Required to update User Notification Log

This resource cannot be updated via the API

Delete Permissions

Required to delete User Notification Log

This resource cannot be deleted via the API